<?php
class Brivium_ResendActivationMail_ControllerAdmin_User extends XFCP_Brivium_ResendActivationMail_ControllerAdmin_User
{
	public function actionConfirmResendEmail()
	{
		$userId = $this->_input->filterSingle('user_id', XenForo_Input::UINT);
		$user = $this->_getUserModel()->getUserById($userId);
		$viewParams = array('user' => $user);
		return $this->responseView('XenForo_ViewAdmin_User_BRRAMResendActivationEmail', 'BRRAM_account_confirm_resend', $viewParams);
	}
	
	public function actionResendActivationEmail()
	{
		$userId = $this->_input->filterSingle('user_id', XenForo_Input::UINT);
		$userModel = $this->_getUserModel();
		$user = $userModel->getUserById($userId);
		$viewParams = array('user' => $user);

		if ($this->isConfirmedPost())
		{
			$this->_getUserConfirmationModel()->sendEmailConfirmation($user);

			return $this->responseRedirect(
				XenForo_ControllerResponse_Redirect::SUCCESS,
				'',
				new XenForo_Phrase('confirmation_email_has_been_resent')
			);
		}
		else
		{
			return $this->responseView('XenForo_ViewAdmin_User_BRRAMResendActivationEmail', 'BRRAM_account_confirm_resend', $viewParams);
		}
	}
	
	protected function _getUserConfirmationModel()
	{
		return $this->getModelFromCache('XenForo_Model_UserConfirmation');
	}
}